MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027321Open CASCADE[OCCT] OCCT:Configurationpublic2016-03-30 15:382016-12-09 16:38
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] Unscheduled 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027321: Configuration, CMake - check for doxygen during the first configuration and turn on overview building if doxygen is found
DescriptionDuring the first configuration process it is required to detecting doxygen location in a system. If it found, turn on overview building.
Steps To Reproduce1. install doxygen into your system (or update PATH env variable in windows case)
2. run config process

doxygen should be found and overview building should be turned on

3. clean config process files
4. deinstall doxygen from the system (or simply remove path to doxygen from PATH env variable)
2. run config process again (do not forget to do complete cleaning before the running)

doxygen wont found and overview building will be turned off
TagsNo tags attached.
Test case number
Attached Files

- Relationships
has duplicate 0027287closedbugmaster Configuration, CMake - do implicitly search for Doxygen and turn Overview generation on if the search is successful 

-  Notes
(0052195)
git (administrator)
2016-03-30 15:57

Branch CR27321 has been created by ibs.

SHA-1: 9fdb1f11910fb84abca910441c0dee6f7a739150


Detailed log of new commits:

Author: ibs
Date: Wed Mar 30 15:55:59 2016 +0300

    0027321: Configuration, CMake - check for doxygen during the first configuration and turn on overview building if doxygen is found
(0052196)
ibs (developer)
2016-03-30 16:03

dear ski, please review CR27321 branch
(0052216)
ski (developer)
2016-03-30 19:46

Reviewed, please proceed.
(0052886)
git (administrator)
2016-04-17 13:27

Branch CR27321 has been deleted by kgv.

SHA-1: 9fdb1f11910fb84abca910441c0dee6f7a739150

- Related Changesets
occt: master 9d034c37
Timestamp: 2016-03-30 12:55:59
Author: ibs
Committer: bugmaster
Details ] Diff ]
0027321: Configuration, CMake - check for doxygen during the first configuration and turn on overview building if doxygen is found
mod - adm/cmake/doxygen.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-30 15:38 ibs New Issue
2016-03-30 15:38 ibs Assigned To => ibs
2016-03-30 15:56 ibs Description Updated View Revisions
2016-03-30 15:57 git Note Added: 0052195
2016-03-30 16:03 ibs Note Added: 0052196
2016-03-30 16:03 ibs Assigned To ibs => ski
2016-03-30 16:03 ibs Status new => resolved
2016-03-30 16:03 ibs Steps to Reproduce Updated View Revisions
2016-03-30 19:46 ski Note Added: 0052216
2016-03-30 19:46 ski Assigned To ski => bugmaster
2016-03-30 19:46 ski Status resolved => reviewed
2016-03-31 11:39 abv Target Version 7.0.0 => 7.1.0
2016-04-14 11:47 bugmaster Status reviewed => tested
2016-04-15 12:16 bugmaster Changeset attached => occt master 9d034c37
2016-04-15 12:16 bugmaster Status tested => verified
2016-04-15 12:16 bugmaster Resolution open => fixed
2016-04-17 13:27 git Note Added: 0052886
2016-09-24 12:17 abv Relationship added has duplicate 0027287
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker